//<c>   Copyright 1993-1999 by Gerry J. Danen; all rights reserved.

//<t>   Project header for Security programs for NetWare


#include"gd_tools.h"
#include"gd_extrn.h"
#include"gd_kb.h"
#include"gd_menu.h"
#include"gd_nw.h"
#include"gd_scrn.h"
#include"gd_wn.h"
#include"nit.h"
#include"ntt.h"
#include"niterror.h"
#include<fcntl.h>
#include<search.h>
#include<stdarg.h>


#if     (! LARGE_MODEL)
  #error LARGE MEMORY MODEL REQUIRED
#endif


#define pgVERS__                "V3.00"
#define pgCOPR_                 "1993"
 #ifdef IS_AUDIT_PW
#define pgTITL_                 "Audit NetWare 3.X Passwords"
 #endif
 #ifdef IS_NETLOGIN
#define pgTITL_                 "Network Login"
 #endif
 #ifdef IS_LOGOUT
#define pgTITL_                 "Network Logout"
 #endif
 #ifdef IS_NETSETUP
#define pgTITL_                 "NetWare Security System Setup"
 #endif
 #ifdef IS_SETPASS
#define pgTITL_                 "Change NetWare Password"
 #endif
 #ifdef IS_EQTRACK
#define pgTITL_                 "Equipment Identification and Tracking"
 #endif
 #ifdef IS_DUSAGE
#define pgTITL_                 "NetWare Disk Usage Analysis"
 #endif
 #ifdef IS_NETBDAYS
#define pgTITL_                 "Check Birthdays"
 #endif
 #ifdef IS_SAVER
#define pgTITL_                 "Screen Saver"
 #endif
 #ifdef IS_SHOWBULL
#define pgTITL_                 "Network Bulletins"
 #endif
 #ifdef IS_NWMEMBER
#define pgTITL_                 "Determine Group Memberships"
 #endif


#define IS_USED_INTERNAL_ONLY   FALSE
#define NORTHLANDS              FALSE
#pragma message (" ")
#pragma message (pgTITL_ " version " pgVERS__)
#if IS_USED_INTERNAL_ONLY
    #if NORTHLANDS
    #pragma message ("Internal Use for Northlands Park")
    #define pgVERS_ pgVERS__"IN"
    #else
    #pragma message ("Internal Use Only")
    #define pgVERS_ pgVERS__"I"
    #endif
#else
    #if NORTHLANDS
    #pragma message ("For Use by Northlands Park")
    #define pgVERS_ pgVERS__"N"
    #else
    #pragma message ("For Public Use")
    #define pgVERS_ pgVERS__
    #endif
#endif
#pragma message (" ")


#define MAXLOOK                 5000            // max number of passwords to check
#define MAXUSER                 1200            // max number of users in sorted list
#define BUFSIZE                 512


#define SYSTEM_VOLUME           "SYS:"
#define SYSTEM_DIR              "SYSTEM"
#define LOGIN_DIR               "LOGIN"
#define TRACK_DIR               "LOGGER"


#define SERVERNAME_SIZE         48              // size of server name
#define B_USERNAME_SIZE         48              // size of user name in bindery
#define B_PASSWORD_SIZE         128             // size of password in bindery


typedef struct                  // volume information NSS programs only
{
        STRING  volName ;
        int     volNumber ;
        int     volBlockSize ;
        ULONG   volBlocks ;
}       t_volume_info ;


extern  UCHAR   *blank_message ;                // screen saver message


void    abort_job(int exit_code,STRING msg,...);
void    blank_screen(void);
int     get_login_control(char oName[],WORD oType,long *oID,UCHAR prop[],login_control_t *lc);
void    happy_ending(void);
void    read_login_set(void);
