//<c>   Copyright 1993-1999 by Gerry J. Danen; all rights reserved.

//<t>   Messages


message_table_t netware_message[] =
{
  { ACCOUNT_DISABLED                , "Account is disabled--contact your network administrator"   },
  { INTRUDER_DETECTION_LOCK         , "Account is locked due to intruder detection"               },
  { INVALID_PARAMETERS              , "Invalid parameters, or unknown request"                    },
  { LOGIN_DENIED_NO_ACCOUNT_BALANCE , "No account balance"                                        },
  { LOGIN_DENIED_NO_CONNECTION      , "Maximum connections for your user ID already in use"       },
  { LOGIN_DENIED_NO_CREDIT          , "Account credit limit exceeded"                             },
  { NO_ACCT_PRIVLEGES               , "No account privileges"                                     },
  { NO_FREE_CONNECTION_SLOTS        , "No connections available at this time--try again later"    },
  { NO_SUCH_OBJECT                  , "Invalid ID or password"                                    }, // bad user name
  { NO_SUCH_OBJECT_OR_BAD_PASSWORD  , "Invalid ID or password"                                    },
  { PASSWORD_HAS_EXPIRED            , "Password has expired"                                      },
  { PASSWORD_HAS_EXPIRED_NO_GRACE   , "Password has expired--no grace logins left"                },
  { PASSWORD_NOT_UNIQUE             , "Password is not unique"                                    },
  { PASSWORD_TOO_SHORT              , "Password is too short"                                     },
  { SERVER_OUT_OF_MEMORY            , "Server is out of memory"                                   },
  { SUPERVISOR_HAS_DISABLED_LOGIN   , "Logins are disabled--try again later"                      },
  { UNAUTHORIZED_LOGIN_STATION      , "Not authorized to login at this workstation"               },
  { UNAUTHORIZED_LOGIN_TIME         , "Not authorized to login at this time"                      },
  { UNKNOWN_FILE_SERVER             , "Unknown server"                                            },
  { WORKSTATION_OUT_OF_MEMORY       , "Workstation is out of memory"                              },
  { 0xF0                            , "Illegal characters in ID or password"                      }, // like spaces...
} ;
int     max_messages  = sizeof(netware_message) / sizeof(netware_message[0]);
